# Badges

## Description

Badges in r4nkt are given to a player when an achievement has been earned.  That is to say, when an achievement's criteria have been met, then a badge is awarded.

## Properties

Badges have the following properties:

| Name                    |   Type  | Default |
| ----------------------- | :-----: | :-----: |
| custom\_achievement\_id |  string |    -    |
| custom\_player\_id      |  string |    -    |
| points                  | integer |    -    |
| custom\_session\_id     |  string |    -    |

### Achievement

A badge is given to a player to show that they have met the criteria for a given [achievement](/concepts/achievements.md). It is represented by the badge's `custom_achievement_id` property, which corresponds to the achievement's `custom_id`.

### Player

The [player](/concepts/players.md) that has earned the badge is represented by the badge's `custom_player_id` property, which is the player's `custom_id`.

### Custom Session ID

If a badge was earned within the context of a session, then that custom session ID will be provided.&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.r4nkt.com/concepts/badges.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
